org.bouncycastle.asn1.crmf

## Class SinglePubInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.SinglePubInfo

All Implemented Interfaces:
  DEREncodable

    public class SinglePubInfo
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static SinglePubInfo` `getInstance(java.lang.Object o)`
`GeneralName` `getPubLocation()`
`DERObject` `toASN1Object()` SinglePubInfo ::= SEQUENCE { pubMethod INTEGER { dontCare (0), x500 (1), web (2), ldap (3) }, pubLocation GeneralName OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static SinglePubInfo getInstance(java.lang.Object o)

#### getPubLocation

    public GeneralName getPubLocation()

#### toASN1Object

    public DERObject toASN1Object()

     SinglePubInfo ::= SEQUENCE {
            pubMethod    INTEGER {
               dontCare    (0),
               x500        (1),
               web         (2),
               ldap        (3) },
           pubLocation  GeneralName OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.